Class | Bio::HGC::HiGet
In: | lib/bio/io/higet.rb
Parent: | Bio::SOAPWSDL

## Description

Interface for the HiGet service provided by Human Genome Center (HGC), Japan. HiGet performs full-text search against various biological databases.

## References

- higet.hgc.jp/

### Methods

higet_in_fasta higet_in_xml new

### Constants

SERVER_URI | = | "http://higet.hgc.jp/soap/higet.wsdl"

### Public Class methods

new(wsdl = nil)

[Source]

        # File lib/bio/io/higet.rb, line 27
    27:   def initialize(wsdl = nil)
    28:     super(wsdl || SERVER_URI)
    29:   end

### Public Instance methods

higet_in_fasta(db, entries)

[Source]

        # File lib/bio/io/higet.rb, line 31
    31:   def higet_in_fasta(db, entries)
    32:     self.higet(db, entries, "-d fasta")
    33:   end

higet_in_xml(db, entries)

[Source]

        # File lib/bio/io/higet.rb, line 35
    35:   def higet_in_xml(db, entries)
    36:     self.higet(db, entries, "-d xml")
    37:   end

[Validate]